Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> CGI abuses >> FishCart SQL injections


Vulnerability Assessment Details

FishCart SQL injections

Vulnerability Assessment Summary
Searches for the existence of an SQL injection in upstnt.asp

Detailed Explanation for this Vulnerability Assessment

FishCart, in use since January 1998, is a proven Open Source
e-commerce system for products, services, online payment and
online donation management. Written in PHP4, FishCart has
been tested on Windows NT, Linux, and various Unix platforms.
FishCart presently supports the MySQL, PostgreSQL, Solid, Oracle and MSSQL.

FishCart contains multiple SQL injection vulnerabilities in the program
that can be exploited to modify/delete/insert entries into the database.

In addition, the program suffers from cross site scripting vulnerabilities.

Network Security Threat Level: Medium

Networks Security ID: 13499

Vulnerability Assessment Copyright: This script is Copyright (C) 2005 Noam Rathaus

Cables, Connectors

Sonicwall TZ 190 8 Port Secure Firewall Network VPN Device APL18-046
$12.95
Sonicwall TZ 190 8 Port Secure Firewall Network VPN Device APL18-046 pictureZoom ZoomTel V3 5577 VoIP Adapter w/ Built in Router 4 Port Switch Firewall
$25.95
Zoom ZoomTel V3 5577 VoIP Adapter w/ Built in Router 4 Port Switch  Firewall pictureUsed Netgear ProSafe FVS336G 200NAS V2 DUAL WAN GIGABIT SSL VPN FIREWALL
$45.0
Used Netgear ProSafe FVS336G 200NAS V2 DUAL WAN GIGABIT SSL VPN FIREWALL pictureCheck Point CheckPoint Smart-1 405 Management Appliance TT-10 CPAP-NGSM405
$499.95
Check Point CheckPoint Smart-1 405 Management Appliance TT-10 CPAP-NGSM405 picture


Discussions

No Discussions have been posted on this vulnerability.